Package Details: lib32-libarchive 3.3.1-1

Git Clone URL: https://aur.archlinux.org/lib32-libarchive.git (read-only)
Package Base: lib32-libarchive
Description: library that can create and read several streaming archive formats (32 bit)
Upstream URL: http://libarchive.org
Licenses: BSD
Submitter: rafaelff
Maintainer: arcanis
Last Packager: arcanis
Votes: 21
Popularity: 1.083284
First Submitted: 2012-11-03 04:53
Last Updated: 2017-05-10 11:07

Latest Comments

daxid commented on 2017-04-26 13:14

Hi,
I have the following error when I try to install the package :

```
In file included from libarchive/archive_cryptor.c:32:0:
libarchive/archive_cryptor_private.h:107:17: error: field 'ctx' has incomplete type
EVP_CIPHER_CTX ctx;
^~~
make[1]: *** [Makefile:5483: libarchive/archive_cryptor.lo] Error 1
make[1] : on quitte le répertoire « /tmp/pamac-build-daxid/lib32-libarchive/src/libarchive-3.2.1 »
make: *** [Makefile:2863: all] Error 2
```

I think it might be related to this error :
https://github.com/libarchive/libarchive/issues/710
that has been resolved on the git source.

Would you be so kind to update the package ?

Best regards
--
David

rafaelff commented on 2013-02-14 00:32

@mindkeep: You're correct. AUR had lib32-lzma, but it got nuked in favor of [multilib]'s lib32-xz.

Fixed in 3.0.4-3

mindkeep commented on 2013-02-13 22:00

the dependency lib32-lzma doesn't seem to exist. should this be lib32-xz?

rafaelff commented on 2012-11-03 17:48

@spider-mairo: thanks, fixed in 3.0.4-2

spider-mario commented on 2012-11-03 15:49

There’s a typo in the PKGBUILD: in the `depends` array, _pgkbase should be _pkgbase.